apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: BRANCH_NAME
  name: PROJECT_NAME
spec:
  replicas: 1
  selector:
    matchLabels:
      app: PROJECT_NAME
  template:
    metadata:
      labels:
        app: PROJECT_NAME
    spec:
      containers:
        - name: PROJECT_NAME
          image: registry.gitlab.com/gitucp/vhuezo/java-demo:dev
          imagePullPolicy: Always
          resources:
            limits:
              memory: "2048Mi"
              cpu: "500m"
          env:
          - name: ENVIRONMENT
            value: "development"
          - name: PORT
            value: "8038"
          ports:
            - containerPort: 8038
      imagePullSecrets:
      - name: gitlab 

---
apiVersion: v1
kind: Service
metadata:
  namespace: BRANCH_NAME
  name: PROJECT_NAME
spec:
  type: NodePort
  selector:
    app: PROJECT_NAME
  ports:
    # Por defecto y por comodidad, el `TargetPort` tiene el mismo valor que el campo `port.
    - port: 8038
      targetPort: 8038
      # Campo opcional
      # Por defecto y por comodidad, el plano de control de Kubernetes asignará el puerto desde un rango (por defecto: 30000-32767)
      nodePort: 30042





